use clap::crate_name;

pub fn progress<S: AsRef<str>>(n: u64, message: S) {
    eprintln!("{}: progress {}: {}", crate_name!(), n, message.as_ref());
}

pub fn error<S: AsRef<str>>(message: S) {
    eprintln!("{}: error: {}", crate_name!(), message.as_ref())
}

pub fn warn<S: AsRef<str>>(message: S) {
    eprintln!("{}: warning: {}", crate_name!(), message.as_ref())
}
